/* General */

*{
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}

body{
    font-family: Arial, sans-serif;
    font-size: 15px;
}

/* on peut faire h1,h2,h3,h4 {color... */

h1{
    font-family: 'Crete Round', serif;
    font-size: 45px;
    color: #444;
}

h3{
    font-size: 30px;
    color: #444;
}

h2{
    color: #444;
    font-size: 55px;
}

h4{
    font-size: 24px;
    color: #444;
}

p{
    line-height: 20px;
    color: #777;
}

.orange{
    color: #ff7a00;
}

.wrapper{
    /* width: px; */
    margin: 0 auto;
    /* permet de le centrer */
    padding: 0 10px;
    /* jsute 10px à gauche et à droite */
}

ul{
    list-style: none;
}

a{
    text-decoration: none;
    color: #444;
}

small{
    font-size: 13px;
    font-style: italic;
}

/* Header */


header{
    height: 120px;
}

header h1{
    float: left;
    margin-top: 32px;
}

header nav{
    float: right;
    margin-top: 50px;
}

header nav ul li{
    display: inline-block;
    margin-right: 20px;

}

header nav ul li a{
    text-transform: uppercase;
    font-weight: bold;
}

header nav ul li a:hover{
    color: #ff7a00;
}


/* Main */


#main-image{
    height: 580px;
    background: url('images/main.jpg') center;
}

#main-image h2{
    font-weight: normal;
    text-transform: uppercase;
    text-align: center;
    padding: 140px 0 40px 0;
    margin-bottom: 20px;
}

.button-1{
    width: 120px;
    height: 50px;
    display: block;
    background-color: #ffc800;
    color: white;
    font-size: 20px;
    margin: 0 auto;
    line-height: 50px;
    text-align: center;
    border-radius: 3px;
    transition: all 0.3s ease; /* <<< la magie */
    cursor: pointer;
}

.button-1:hover{
    background-color: #0091ff;
    transform: scale(1.1);
}

/* Steps */

#steps ul {
        display: flex;
        justify-content: center;
        margin: 80px 0;
}


#steps ul li{
    width: 300px;
    padding-top: 140px;
    text-align: center;
    margin-right: 10px;
    width: 100%;

}

#steps h4{
    text-transform: uppercase;
    margin-bottom: 20px;
}   

#steps p{
    margin-bottom: 20px;
}

.steps-1{

    background: url('images/steps-icon-1.png') no-repeat top center;
}

.steps-2{
    
    background: url('images/steps-icon-2.png') no-repeat top center;
}

.steps-3{    
    
    background: url('images/steps-icon-3.png') no-repeat top center;
}


/* Possibilities */

#possibilities{
    background-color: #efefef;
    padding: 60px 0;

}

#possibilities .wrapper{
    display: flex;
    justify-content: center;
}

#possibilities article{
    width: 460px;
    height: 270px;
    border-radius: 10px;
}

.article-1{
    background: url(images/article-image-1.jpg) no-repeat;
    margin-right: 20px;
}

.article-2{
    background: url(images/article-image-2.jpg) no-repeat;
}


.overlay{
    background-color: rgba(255,255,255,0.95);
    height: 100%;
    width: 190px;
    padding: 20px;
    border-radius: 10px 0 0 10px;
    text-align: center;
    box-sizing: border-box;
}

article h4{
    border-bottom: 1px solid #ddd;
    padding-bottom: 20px;
    text-transform: uppercase;
    margin-bottom: 20px;
    text-align: center;
}

#possibilities p{
    text-align: center;
    margin-bottom: 20px;

}


.button-2{
    display: inline-block;
    color: #fff;
    background-color: #ff7a00;
    padding: 6px 20px;
    border-radius: 3px;
    transition:all 0.3s ease;
    text-align: center;
}

.button-2:hover{
    color: #fff;
    background-color: #0091ff;
    transform: scale(1.05);
}


/* Contact */

#contact{
    padding: 60px 0;
    text-align: center;
}

#contact h3{

    width: 400px;
    text-transform: uppercase;
    margin: 0 auto 20px auto;
    border-bottom: 1px solid #02b8dd;
    padding-bottom: 20px;
}


form{
    margin: 60px 0 20px 0;

}


label{
    font-weight: bold;
    font-size: 20px;
    margin-right: 10px;
    color: #777;
}


input[type="text"]{
    padding: 10px;
    font-size: 20px;
    margin-right: 20px;
    border: 2px solid #ddd;
    border-radius: 3px;
}

.button-3{
    color: #fff;
    font-size: 20px;
    font-weight: bold;
    padding: 11px;
    background-color: #02b8dd;
    border-style: none;
    border-radius: 3px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.button-3:hover{
    background-color: #444;
    transform: scale(1.1);
}


/* Footer */

footer{
    height: 260px;
    background-color: #444;
}

footer h1{
    color: #fff;
    text-align: center;
    padding-top: 80px;
}

.copyright{
    text-align: center;
    font-weight: bold;
    padding-top: 30px;
    color: #777;
}